#include <stdlib.h>
#include <stdio.h>

#define TRUE 1
#define FALSE 0

int main(int argc, char *argv[]){
    int a = atoi(argv[1]);
	int c = atoi(argv[2]);
	int b = atoi(argv[3]);
    char all_right = FALSE;
    int aux = 2*b;

    
    if (a < c/2){
        a = c++;
	}else{
        if(b == 'e'){
            b = 2*++a;
            c = aux;
        }
    
        if(b/4 - c <= 0){
            aux = b/2 + 1;
            b = c;
            c = aux;
            all_right = TRUE;
        }
    }
	
    if(all_right)
        printf("WIN!\n");
    else
        printf("I'm really disappointed :(. Try next time\n");

    return 0;
}
